{ stdenv, gnupg, ledger, writeScriptBin }:

let gledger = ''
'';
in stdenv.mkDerivation {
  pname = "gledger";
  version = "2";

  phases = [ "installPhase" "fixupPhase" ];

  binpath = stdenv.lib.makeBinPath [ gnupg ledger ];
  installPhase = ''
    mkdir -p $out/bin
    substituteAll ${./gledger} $out/bin/gledger
    cp ${./gledger-camt-csv} $out/bin/gledger-camt-csv
    chmod +x $out/bin/*
  '';

  meta = with stdenv.lib; {
    description = "GNUPG wrapper and tools for ledger";
    maintainers = with maintainers; [ spacefrogg ];
  };
}
